boost::geometry::detail_dispatch::helper_geometry< Box, NewCoordinateType, NewUnits, box_tag > Struct Template Reference

List of all members.

## Public Types

typedef model::box< typename helper_geometry< typename point_type< Box >::type, NewCoordinateType, NewUnits > ::type > | type

### template<typename Box, typename NewCoordinateType, typename NewUnits>
struct boost::geometry::detail_dispatch::helper_geometry< Box, NewCoordinateType, NewUnits, box_tag >

## Member Typedef Documentation

template<typename Box , typename NewCoordinateType , typename NewUnits >

typedef model::box< typename helper_geometry < typename point_type<Box>::type, NewCoordinateType, NewUnits >::type > boost::geometry::detail_dispatch::helper_geometry< Box, NewCoordinateType, NewUnits, box_tag >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK